# SDCL

Shutdown Circuit Logic

The Shutdown Circuit Logic (SDCL) PCB has 6 functions:

1. To guarantee only one of the TS activation buttons can start the TS, depending on the current Mission and ASMS state according to T 14.5.1
2. To supervise the EBS monitoring running on the ECU/Autobox using a hardware watchdog. This fulfills T 15.3.2 / T 15.3.4 by immediately triggering the Shutdown Circuit (SDC) if an error occurs within the EBS monitoring or the SDCL communication while in autonomous mode.
3. To facilitate Autonomous System (AS) control over the final closing of the Shutdown Circuit (SDC) when activating the Tractive System (TS) and reopening it upon AS emergencies (T 15.3.5), while strictly prohibiting re-closing of the SDC using hard-wired logic (EV 4.11.5).
4. To indicate the currently chosen Mission in accordance with T 14.11.3-4 and allow changing it.
5. To embed all sidepanel buttons on one rigid, evenly spaced surface
6. To indicate ASB errors

It therefore sits in the last spot before the TSMS in the SDC and is also the link between the TS activation buttons on dashboard and sidepanel and the ECU/Autobox.

In combination with the PDU and the ECU/Autobox, the SDCL fulfills the (electrical) functionality described in the [FSG21 EBS reference design](https://www.formulastudent.de/fileadmin/user_upload/FSG21_EBS_Reference_Design.pdf). This functionality is safety critical and must be shown in the ASF.

![](SDCL.png)

# Licensing

The Project's Hardware is licensed under the CERN OHL v1.2, see [LICENSE_HARDWARE.txt](LICENSE_HARDWARE.txt)

The Project's Software is licensed under the GNU GPL v3, see [LICENSE_SOFTWARE.txt](LICENSE_SOFTWARE.txt)
